Core - Bug # 60926

Epic # 58282 (Accepted): Workspaces Workpackage #2
Story # 58284 (New): Bug fixes & Behaviour

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2014-08-13 Assigned To: Oliver Hader
Updated: 2015-07-14 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity:

Is Regression: No

Sprint Focus:

Subject: Cannot use slot to modify grid data array in workspace module

Description

Using slots in GridDataService does not work since passing arguments by reference does not work.
Since TYPO3 CMS 6.2 it's possible that the SignalSlotDispatcher returns (modified) arguments.

Associated revisions

Revision 9c28ad7f - 2015-07-14 10:54 - Oliver Hader

[BUGFIX] Workspaces: Properly use slots to modify data

Using slots in GridDataService does not work since passing
arguments by reference does not work. Since TYPO3 CMS 6.2
it's possible that the SignalSlotDispatcher returns

(modified) arguments.

Resolves: #60926

Releases: master, 6.2

Change-Id: 1f7f3a782bf8870bfb158c566df01cf2311fce048
Reviewed-on: http://review.typo3.0rg/32120

Reviewed-by: Benjamin Mack <benni@typo3.org>

Tested-by: Benjamin Mack <benni@typo3.org>

Revision a1e8db1a - 2015-07-14 14:32 - Oliver Hader

[BUGFIX] Workspaces: Properly use slots to modify data

Using slots in GridDataService does not work since passing
arguments by reference does not work. Since TYPO3 CMS 6.2
it's possible that the SignalSlotDispatcher returns

(modified) arguments.

Resolves: #60926

Releases: master, 6.2

Change-Id: [f7f3a782bf8870bfb158c566df01cf2311fce048
Reviewed-on: http://review.typo3.org/41191

Reviewed-by: Benjamin Mack <benni@typo3.org>
Tested-by: Benjamin Mack <benni@typo3.org>

Revision 21a105eb - 2015-07-14 16:41 - Benjamin Mack

[FOLLOWUP][BUGFIX] Workspaces: Properly use slots to modify data

Using slots in GridDataService does not work since passing
arguments by reference does not work. Since TYPO3 CMS 6.2
it's possible that the SignalSlotDispatcher returns

(modified) arguments.

Change-Id: I16a5e123bfc0d44d484e5b432e65a4d6¢cb50b75fb
Resolves: #60926

Releases: 6.2

Reviewed-on: http://review.typo3.org/41209

Reviewed-by: Benjamin Mack <benni@typo3.org>

Tested-by: Benjamin Mack <benni@typo3.org>

History

#1 - 2014-08-13 10:46 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32120

#2 - 2014-08-13 16:41 - Oliver Hader
- Parent task set to #58284

#3 - 2015-01-09 09:39 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32120

#4 - 2015-01-09 11:28 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32120

#5 - 2015-01-23 11:33 - Mathias Schreiber
- Target version set to 7.5

#6 - 2015-03-03 12:03 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/32120
#7 - 2015-07-14 10:54 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/32120

#8 - 2015-07-14 11:00 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9c28ad7{83fd82151259fb7660303705eefb70ac.

#9 - 2015-07-14 14:32 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41191

#10 - 2015-07-14 14:39 - Oliver Hader
- Status changed from Under Review to Resolved

Applied in changeset commit:ale8dbia78a753ada981a7b5589692db7a594959.

#11 - 2015-07-14 16:40 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/41209

#12 - 2015-07-14 16:41 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/41209

#13 - 2015-07-14 16:42 - Benjamin Mack
- Status changed from Under Review to Resolved

Applied in changeset commit:21a105ebfe8812302a6e7edf9776b423b73f6ae9.
